%define fname   webrtc-audio-processing

# Majors
%define major         1
# Library names
%define libname       %mklibname %{name}_ %{major}
%define libname_devel %mklibname %{name} -d
%define libname_devel_static %mklibname %{name} -d -s

Summary:        WebRTC Audio Processing Library
Name:           webrtc-audio-processing2
Version:        2.1
Release:        %mkrel 1
License:        Distributable
Group:          System/Libraries
Url:            https://freedesktop.org/software/pulseaudio/webrtc-audio-processing/
Source0:        https://freedesktop.org/software/pulseaudio/%{fname}/%{fname}-%{version}.tar.gz

# Upstream patches merged from from https://gitlab.freedesktop.org/pulseaudio/webrtc-audio-processing
#
Patch050:	0001-Fix-compilation-with-gcc-15.patch
Patch051:	0002-patches-Track-Fix-compilation-with-gcc-15.patch
Patch052:	0003-arch.h-Add-s390x-support.patch
Patch053:	0004-patches-Track-s390x-support-patch.patch
#
Patch102:       Add-generic-byte-order-and-pointer-size-detection.patch
# from opensuse
Patch103:	fix-build.patch

BuildRequires:  meson
BuildRequires:  abseil-cpp-devel >= 20240722
BuildRequires:  cmake

%description
Packaging friendly copy of the AudioProcessing module from the WebRTC project.
See https://code.google.com/p/webrtc/ for more details

%package -n     %{libname}
Summary:        WebRTC Audio Processing Library
Group:          System/Libraries

%description -n %{libname}
WebRTC Audio Processing Library.

%package -n     %{libname_devel}
Summary:        Development files for WebRTC Audio Processing Library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
Development files for WebRTC Audio Processing Library.

%package -n     %{libname_devel_static}
Summary:        Development files (static linking) for WebRTC Audio Processing Library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       libwebrtc-audio-processing2-static-devel = %{version}-%{release}
Provides:       libwebrtc-audio-processing2-static-devel%{?_isa} = %{version}-%{release}
Requires:       %{libname_devel} = %{version}-%{release}
Requires:       glibc-static-devel


%description -n %{libname_devel_static}
Development files for WebRTC Audio Processing Library (libraries
for static linking).

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

%build
%meson \
	-Ddefault_library=both \
%ifnarch arm aarch64
	-Dneon=disabled \
%endif
%ifarch i586
	-Dinline-sse=false \
%endif
	%nil
%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/libwebrtc-audio-processing-2.so.%{major}

%files -n %{libname_devel}
%doc README* COPYING
%{_includedir}/webrtc-audio-processing-2/
%{_libdir}/libwebrtc-audio-processing-2.so
%{_libdir}/pkgconfig/webrtc-*.pc

%files -n %{libname_devel_static}
%{_libdir}/libwebrtc-audio-processing-2.a


%changelog
* Thu May 22 2025 ghibo <ghibo> 2.1-1.mga10
+ Revision: 2185794
- Update to version 2.1.
- Merge patches from git upstream to build on gcc-15.x.
- fork webrtc-audio-processing1 as webrtc-audio-processing2
- Add patch to fix build for gcc 15.x

* Sun May 26 2024 cjw <cjw> 1.3-2.mga10
+ Revision: 2067801
- rebuild for abseil-cpp update

* Mon Sep 18 2023 ghibo <ghibo> 1.3-1.mga10
+ Revision: 1987908
- Update to release 1.3.
- Drop patches merged upstream.

* Fri Jan 27 2023 daviddavid <daviddavid> 1.0-7.mga9
+ Revision: 1936449
- fix devel pkg name, typo in previous commit r1936413

* Fri Jan 27 2023 daviddavid <daviddavid> 1.0-6.mga9
+ Revision: 1936413
- fix library pkg name

* Thu Oct 27 2022 ghibo <ghibo> 1.0-5.mga9
+ Revision: 1899614
- Remove old webrtc-audio-processing spec file
- Use webrtc-audio-processing1 as package name
- Disable _disable_ld_no_undefined as no longer needed.
- Sync patchset from current git upstream.
- Disable older 32bit Patches (Avoid-SSE2-on-i386, Avoid-SSE2-on-i386-meson) as doesn't compile con i586.
- Reorder deb patches (101, 102).
- Merge nosimd's webrtc-audio-processing1-nosimd patch from pld.
- Write patch for disabling sse2 and avx2 on i586 (webrtc-audio-processing-noavx2-nosse2-i586.patch).
- Force c++17.
- Prepare for switching to webrtc-audio-processing1 package name.
- Copy webrtc-audio-processing to webrtc-audio-processing1.
+ neoclust <neoclust>
- Rebuild with arm build fix patches
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ luigiwalser <luigiwalser>
- 1.0
- library major is now 0
- remove upstream patch
- adding audio-coding library

* Mon May 04 2020 danf <danf> 0.3.1-2.mga9
+ Revision: 1580012
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.3.1-2.mga8
+ Revision: 1521690
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%apply_patches

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.3.1-1.mga7
+ Revision: 1346458
- 0.3.1

* Tue Dec 11 2018 pterjan <pterjan> 0.3-3.mga7
+ Revision: 1340324
- Disable neon on armv7hl
- Replace patch with a better one from Fedora

* Sun Sep 23 2018 umeabot <umeabot> 0.3-2.mga7
+ Revision: 1301660
- Mageia 7 Mass Rebuild

* Mon Jun 27 2016 pterjan <pterjan> 0.3-1.mga6
+ Revision: 1037768
- 0.3 (build fixes)

* Wed May 11 2016 luigiwalser <luigiwalser> 0.2-2.mga6
+ Revision: 1013677
- add -msse2 to compiler flags to fix build on i586
- add patch from debian to fix build on newer gcc
- 0.2
- library major is now 1

* Tue Feb 02 2016 umeabot <umeabot> 0.1-5.mga6
+ Revision: 932578
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-4.mga5
+ Revision: 748492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-3.mga5
+ Revision: 690289
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 wally <wally> 0.1-2.mga5
+ Revision: 638706
- rebuild for mga5

* Wed Jul 25 2012 colin <colin> 0.1-1.mga3
+ Revision: 274202
- imported package webrtc-audio-processing

